aboutsummaryrefslogtreecommitdiffstats
path: root/main/json-c/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-10-14 19:39:41 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-14 19:39:41 +0000
commita6dd2ea545f6500f36e96112102abd521d0f4f50 (patch)
treed7e817d4cd7633c222746845d7bf7fd3faaecd30 /main/json-c/APKBUILD
parent59d4d4e9166ed9a89dacf61566d81363fd7d1d4d (diff)
downloadaports-a6dd2ea545f6500f36e96112102abd521d0f4f50.tar.gz
aports-a6dd2ea545f6500f36e96112102abd521d0f4f50.tar.bz2
aports-a6dd2ea545f6500f36e96112102abd521d0f4f50.tar.xz
main/json-c: moved from testing
Diffstat (limited to 'main/json-c/APKBUILD')
-rw-r--r--main/json-c/APKBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/main/json-c/APKBUILD b/main/json-c/APKBUILD
new file mode 100644
index 0000000000..a5b14da3a7
--- /dev/null
+++ b/main/json-c/APKBUILD
@@ -0,0 +1,48 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=json-c
+pkgver=0.11
+pkgrel=0
+pkgdesc="A JSON implementation in C"
+url="https://github.com/json-c/json-c/wiki"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="https://s3.amazonaws.com/${pkgname}_releases/releases/$pkgname-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/json-c-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --disable-static \
+ --enable-shared \
+ || return 1
+ make -j1 || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make -j1 DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="aa02367d2f7a830bf1e3376f77881e98 json-c-0.11.tar.gz"
+sha256sums="28dfc65145dc0d4df1dfe7701ac173c4e5f9347176c8983edbfac9149494448c json-c-0.11.tar.gz"
+sha512sums="65ab563fe908d585ba05fff3b77283050ec4f94114ff6e4b916557013d75498271cf65b2660a0aaf74b23beaa80385c80d37ab6a700ba967dd859fa779a81cb0 json-c-0.11.tar.gz"